curl --request GET \
--url https://api.aries.com/v1/analytics/insights \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aries.com/v1/analytics/insights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aries.com/v1/analytics/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"insights": [
{
"id": "insight-001",
"date": "2026-01-10",
"updated": 1736534400,
"action": "Upgrade",
"rating": "Buy",
"ratingId": "r-8821",
"pt": "210.00",
"firm": "Demo Research",
"firmId": "firm-42",
"analystInsights": "Raised price target on stronger services revenue.",
"security": {
"cik": "0000320193",
"exchange": "NASDAQ",
"isin": "US0378331005",
"name": "Apple Inc.",
"symbol": "AAPL"
}
}
]
}Analyst Insights
Retrieve comprehensive analyst insights and research data for financial instruments. Access analyst ratings, price targets, recommendations, and research reports from leading financial institutions.
Use Case: Display aggregated analyst ratings and consensus price targets on a stock detail page to help investors understand professional sentiment.
Authorizations
OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.
Query Parameters
Zero-based page number. Enter 0 for the first page, 1 for the second page, and so on.
x >= 0Number of results per page. Use this to control pagination size in list views. Use this to control page size; default is 10.
1 <= x <= 1000Comma-separated ticker symbols, such as AAPL,MSFT. Use this to request or filter multiple companies in one call. (e.g. AAPL,MSFT)
Comma-separated analyst IDs. Use this to limit insight results to specific analysts.
Comma-separated rating IDs. Use this to limit insight results to specific rating records.
Tells the API how to interpret the value you send in searchKeys. Allowed values:
firm_id— the value is a firm/company internal ID.firm— the value is the firm/company name.
firm_id, firm Search key value (based on searchKeysType)
Response
Analyst insights. Each item may include id, date, updated, action, rating, ratingId, pt, firm, firmId, analystInsights, security (cik, exchange, isin, name, symbol).
Show child attributes
Show child attributes
Was this page helpful?